Groups
Add contacts to a group
Add one or more contacts to a group by providing an array of contact IDs. Contacts that are already in the group are ignored.
PUT /v1/groups/{groupId}/contacts
Parameters
Path parameters
groupId
string (uuid) required
Request body
Content-Type: application/json
contactIds
array<string (uuid)> required
Example
{
"contactIds": [
"00000000-0000-0000-0000-000000000000"
]
}
Responses
200 — Successful response
Content-Type: application/json
error
boolean required
data
object required
data.result
object required
data.result.count
integer required
Example
{
"error": false,
"data": {
"result": {
"count": 0
}
}
}
400
No response body.
401
No response body.
403
No response body.
404
No response body.
429
No response body.
500
No response body.
Code samples
curl https://api.prod.getdex.com/v1/groups/00000000-0000-0000-0000-000000000000/contacts \
--request PUT \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"contactIds": [
"00000000-0000-0000-0000-000000000000"
]
}'
fetch('https://api.prod.getdex.com/v1/groups/00000000-0000-0000-0000-000000000000/contacts', {
method: 'PUT',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
contactIds: ['00000000-0000-0000-0000-000000000000']
})
})
requests.put(
"https://api.prod.getdex.com/v1/groups/00000000-0000-0000-0000-000000000000/contacts",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"contactIds": [
"00000000-0000-0000-0000-000000000000"
]
}
)

